# SBUILD

- [Introduction](https://docs.pkgforge.dev/sbuild/introduction.md): A quick intro to SBUILD
- [Specification](https://docs.pkgforge.dev/sbuild/specification.md): The Official Specification for SBUILD
- [0.Prerequisite](https://docs.pkgforge.dev/sbuild/specification/0.prerequisite.md)
- [1.Shebang](https://docs.pkgforge.dev/sbuild/specification/1.shebang.md): #!/SBUILD
- [2.Pkg](https://docs.pkgforge.dev/sbuild/specification/2.pkg.md): The type of Package or Binary
- [3.Version](https://docs.pkgforge.dev/sbuild/specification/3.version.md): Package Version (TYPE: RECOMMENDED)
- [4.AppID](https://docs.pkgforge.dev/sbuild/specification/4.appid.md): AppStream App ID (TYPE: RECOMMENDED)
- [5.BuildAsset](https://docs.pkgforge.dev/sbuild/specification/5.buildasset.md): Extra Assets/Files Needed during Build (TYPE: NON\_ENFORCED)
- [6.BuildUtil](https://docs.pkgforge.dev/sbuild/specification/6.buildutil.md): Additional Utilities (Programs) that should be Installed prior to BUILD (TYPE:NON\_ENFORCED)
- [7.Category](https://docs.pkgforge.dev/sbuild/specification/7.category.md): Official Free Desktop Spec Categories (TYPE:RECOMMENDED)
- [8.Description](https://docs.pkgforge.dev/sbuild/specification/8.description.md): A short summary about the Package
- [9.Desktop](https://docs.pkgforge.dev/sbuild/specification/9.desktop.md): Fetch .Desktop file from Remote/Local (SBUILD) Source (TYPE: NON\_ENFORCED)
- [10.GhcrPkg](https://docs.pkgforge.dev/sbuild/specification/10.ghcrpkg.md): Fixed GHCR path (TYPE: NON\_ENFORCED)
- [11.HomePage](https://docs.pkgforge.dev/sbuild/specification/11.homepage.md): URLs to homepage, project page ,source code (Git/SVN/etc) (TYPE: NON\_ENFORCED)
- [12.Icon](https://docs.pkgforge.dev/sbuild/specification/12.icon.md): Fetch Icon/Logo file from Remote/Local (SBUILD) Source (TYPE: NON\_ENFORCED)
- [13.License](https://docs.pkgforge.dev/sbuild/specification/13.license.md): SPDX License (TYPE: NON\_ENFORCED)
- [14.Maintainer](https://docs.pkgforge.dev/sbuild/specification/14.maintainer.md): Author/Maintainer of the $pkg.SBUILD script  (TYPE: NON\_ENFORCED)
- [15.Note](https://docs.pkgforge.dev/sbuild/specification/15.note.md): Note about the pkg (TYPE: NON\_ENFORCED)
- [16.Provides](https://docs.pkgforge.dev/sbuild/specification/16.provides.md): List of Binaries/Packages Generated during Build (TYPE: RECOMMENDED)
- [17.Repology](https://docs.pkgforge.dev/sbuild/specification/17.repology.md): Repology Project Name (TYPE: RECOMMENDED)
- [18.SourceURL](https://docs.pkgforge.dev/sbuild/specification/18.sourceurl.md): URL to the download/source page which contains the download link (TYPE: ENFORCED)
- [19.Tag](https://docs.pkgforge.dev/sbuild/specification/19.tag.md): Tags categorizing the pkg (TYPE: RECOMMENDED)
- [20.x\_exec](https://docs.pkgforge.dev/sbuild/specification/20.x_exec.md): Build/Download execution (TYPE: ENFORCED)
- [Instructions](https://docs.pkgforge.dev/sbuild/instructions.md): How to write an SBUILD
- [Examples](https://docs.pkgforge.dev/sbuild/instructions/examples.md): SBUILD Examples
- [Environment Variables](https://docs.pkgforge.dev/sbuild/instructions/env_vars-x_exec.run.md): List of Environment Variables that are Accessible Inside x\_exec.run
- [Output Files](https://docs.pkgforge.dev/sbuild/instructions/needed_files.md): Files produced at end of a successful SBUILD


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pkgforge.dev/sbuild.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
